#include <iostream>

using namespace std;

vector<int> bug_hash, t_hash;
vector<int> pow;
string line;

const int P = 3;

void create_pow(int N){
	pow.resize(N);
	pow[0] = 1;
	for(int i=1; i<N; ++i){
		pow[i] = pow[i-1]*P;
	}
}

string bug;
void create_hash(vector<int> & ht, string & s){
	ht.resize(s.size());
	ht[0] = s[0];
	for(int i=1; i<s.size(); ++i){
		ht[i] = ht[i-1] + pow[i]*s[i];
	}
}

bool comp_hash(int i){
	int len = bug_hash.size();
	if(i == len){
		return bug_hash[len-1] == t_hash[len-1];
	}
	else{
		return pow[i-len] * bug_hash[len-1] == t_hash[i] - t_hash[i-len];
	}
}

int main(){
	int T;
	while(cin >> T){
		cin >> bug;
		create_hash(bug_hash, bug);
		for(int i=0; i<T; ++i){
			cin >> line;
			create_hash(t_hash, line);
			for(int j=bug_hash.size() - 1; j<line.size(); ++j){
				if(comp_hash(j)
	return 0;
}
