#include <iostream>
#include <vector>
#include <algorithm>

using namespace std;

struct card{
	char n;
	char c;
};

card shared[5];

struct player{
	card card1;
	card card2;
	int rank;
	int best;
};

bool card_comp(const card & c1, const card & c2){
	int n1;
	if(c1.n >= '2' && c1.n <= '9') n1 = c1.n - '2';
	else if(c1.n == 'X') n1 = 10;
	else if(c1.n == 'J') n1 = 11;
	else if(c1.n == 'Q') n1 = 12;
	else if(c1.n == 'K') n1 = 13;
	else if(c1.n == 'A') n1 = 14;
	int n2;
	if(c2.n >= '2' && c2.n <= '9') n2 = c2.n - '2';
	else if(c2.n == 'X') n2 = 10;
	else if(c2.n == 'J') n2 = 11;
	else if(c2.n == 'Q') n2 = 12;
	else if(c2.n == 'K') n2 = 13;
	else if(c2.n == 'A') n2 = 14;
	return n1 < n2;
}

bool comp(const player & p1, const player & p2){
	p1.rank = 0;
	card hand1[7];
	for(int i=0; i<5; ++i) hand1[i] = shared[i];
	hand1[5] = p1.card1;
	hand1[6] = p1.card2;
	sort(hand1, hand1+7, card_comp);

	p2.rank = 0;
	card hand2[7];
	for(int i=0; i<5; ++i) hand2[i] = shared[i];
	hand2[5] = p2.card1;
	hand2[6] = p2.card2;
	sort(hand2, hand2+7, card_comp);

	if(pair(p1)){
		p1.rank = 1;

}

int main(){
	int N;
	while(cin >> N){
		for(int i=0; i<5; ++i){
			cin >> shared[i].n >> shared[i].c;
		}
		vector<player> players(N);
		for(int i=0; i<N; ++i){
			cin >> players[i].card1.n >> players[i].card1.c;
			cin >> players[i].card2.n >> players[i].card2.c;
		}


